unit BuildSQL_M;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OpenSQLDialog, StdCtrls, Db, ADODB, Buttons,registry;

type
  TFrmBuildSQLM = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    OpenSQLDialog1: TOpenSQLDialog;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmBuildSQLM: TFrmBuildSQLM;

implementation

{$R *.DFM}

procedure TFrmBuildSQLM.FormShow(Sender: TObject);
var RegCode:TRegistry;
begin
  //дע
   //refleshtemplete;
  RegCode:=TRegistry.Create;
  try
    with regcode do
    begin
      RootKey:=HKEY_LOCAL_MACHINE;
      if OpenKey('Software\BuildSQL',false) then
      begin
        Edit1.text:=ReadString('ConnectionString');
        OpenSQLDialog1.ConnectionString:=Edit1.Text;
      end;
      Closekey;
   end
  finally
    RegCode.Free;
  end;
  OpenSQLDialog1.Execute;
  Close;
end;

procedure TFrmBuildSQLM.Button1Click(Sender: TObject);
begin
  OpenSQLDialog1.Execute;
  //Application.Terminate;
  Edit1.Text:=OpenSQLDialog1.ConnectionString;
end;

procedure TFrmBuildSQLM.SpeedButton1Click(Sender: TObject);
begin
  Edit1.Text:=PromptDataSource(0,OpenSQLDialog1.ConnectionString);
  OpenSQLDialog1.ConnectionString:=Edit1.Text;
  
end;

procedure TFrmBuildSQLM.SpeedButton2Click(Sender: TObject);
var RegCode:TRegistry;
begin
  //дע
   //refleshtemplete;
  RegCode:=TRegistry.Create;
  try
    with regcode do
    begin
      RootKey:=HKEY_LOCAL_MACHINE;
      OpenKey('Software\BuildSQL',True);
      WriteString('ConnectionString',Edit1.Text);
      Closekey;
   end
  finally
    RegCode.Free;
  end;
end;

end.
